/*
//*****************************************************************************
/*
*	@(#) Guard.java
*
*	Project:		Java 3D Programming
*	Client:		Manning Publications
*
*	Copyright (c) 1999 Daniel Selman 
*	All Rights Reserved.
*
*	@author Daniel Selman: dselman@tornadolabs.com
*/
//*****************************************************************************

import javax.vecmath.*;
import javax.media.j3d.*;
import java.awt.*;
import java.net.*;

import com.sun.j3d.utils.image.*;
import com.sun.j3d.utils.geometry.*;
	
import com.tornadolabs.dselman.j3d.book.*;

public class Guard extends ComplexObject
{	
	private CollisionDetector		m_CollisionDetector = null;
	
	public Guard( Component comp, Group g, int nFlags, CollisionDetector detector )
	{
		super( comp, g, nFlags );
		
		m_CollisionDetector = detector;
	}
				
	protected Group createGeometryGroup( Appearance app, Vector3d position, Vector3d scale, String szTextureFile, String szSoundFile )
	{						
		TransformGroup tg = new TransformGroup();
		tg.addChild( new Cone( 5, 30 ) );
		
		attachBehavior( new RandomWalkBehavior( getBehaviorTransformGroup(), m_CollisionDetector ) );
		
		return tg;
	}
}